Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class FontSetup

    java.lang.Object
      org.apache.fop.fonts.FontSetup

public class FontSetup
extends java.lang.Object

Default fonts for FOP application; currently this uses PDF's fonts by default. Assigns the font (with metrics) to internal names like "F1" and assigns family-style-weight triplets to the fonts

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logging instance

Constructor Summary
`FontSetup()`

Method Summary
`static FontResolver` | `createMinimalFontResolver()`
`static void` | `setup(FontInfo fontInfo)` Sets up a font info
`static void` | `setup(FontInfo fontInfo, java.util.List embedFontInfoList, FontResolver resolver)` Sets up the font info object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  logging instance

Constructor Detail

### FontSetup

    public FontSetup()

Method Detail

### setup

    public static void setup(FontInfo fontInfo)

  Sets up a font info

  Parameters:
    `fontInfo` - font info

### setup

    public static void setup(FontInfo fontInfo,
                             java.util.List embedFontInfoList,
                             FontResolver resolver)

  Sets up the font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

  Parameters:
    `fontInfo` - the font info object to set up
    `embedFontInfoList` - a list of EmbedFontInfo objects
    `resolver` - the font resolver

### createMinimalFontResolver

    public static FontResolver createMinimalFontResolver()

  Returns:
    a new FontResolver to be used by the font subsystem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.